Subject: Re: iwlwifi worse than ever in current git.

From: Dave Jones <[email-masked]>
Date: Wed, 11 Jan 2012 14:28:42 -0500

On Wed, Jan 11, 2012 at 12:38:43PM +0000, Grumbach, Emmanuel wrote:
 > > [  173.145695] iwlwifi 0000:04:00.0: U iwlagn_tx_agg_start Can proceed: ssn =
 > > next_recl = 869
 > > [  173.147133] iwlwifi 0000:04:00.0: U iwl_trans_set_wr_ptrs Q 11  WrPtr: 101
 > > [  173.147545] iwlwifi 0000:04:00.0: U iwl_trans_tx_queue_set_status Activate
 > > BA Queue 11 on FIFO 1
 > > [  173.148050] iwlwifi 0000:04:00.0: Tx aggregation enabled on ra =
 > > b8:c7:5d:0c:39:88 tid = 0
 > 
 > I am missing logs here... You seem to reauthenticate but I can't see disconnection... weird
 
I'll recreate some clean logs in a few minutes..
 
 > > [  192.805102] wlan0: authenticate with b8:c7:5d:0c:39:87 (try 1)
 > > [  192.807392] wlan0: authenticated
 > > [  192.814840] iwlwifi 0000:04:00.0: U iwlagn_tx_agg_stop Can't proceed: ssn
 > > 1633, next_recl = 139
 > 
 > Stop AGG before we are associated ?!
 > Is that leftovers from the previous association that was torn down ?
 
no idea.

 > > [  192.818669] wlan0: moving STA b8:c7:5d:0c:39:88 to state 2
 > > [  192.818939] wlan0: moving STA b8:c7:5d:0c:39:88 to state 1
 > > [  192.819206] wlan0: moving STA b8:c7:5d:0c:39:88 to state 0
 > > [  192.824157] wlan0: associate with b8:c7:5d:0c:39:87 (try 1)
 > 
 > Associating to another AP ? A band maybe ?
 
I only have one AP.

 > There are a few AMPDUs issues here but I guess the worst issue you are seeing is due to the passive channel thing.
 > Does it feel better with 11n disabled ?
 
5 hours of use this morning with 11n_disabled=1, and not a single problem.

I'll re-enable 11n, and get you some cleaner logs shortly.

	Dave